Subject: bug#12495: AC_CONFIG_HEADERS with

From: Peter Johansson <[email-masked]>
Date: Mon, 24 Sep 2012 18:53:38 +1000

On 9/24/12 6:18 PM, Hib Eris wrote:
> Hi Peter,
>
> Thanks for looking into this.
>
> On Mon, Sep 24, 2012 at 8:29 AM, Peter Johansson<[email-masked]>  wrote:
>> I have the setup you describe, and I have not encountered the problem you
>> describe.
>>
>> I have AC_CONFIG_HEADERS([config.h lib/config_public.h])
>>
>> and there is no rule to create 'lib/config_public.h.in'. Am I missing
>> something?
> I have attached an example setup.
> After running 'autoreconf -fi', I get a lib/Makefile.in with an rule
> to create $(srcdir)/config-public.h.in calling $(AUTOHEADER).
>
>
Yes, this looks like a bug IMVHO. The difference between your setup and 
mine is that I only have one Makefile. But I just recently converted to 
non-recursive makefiles, and haven't noticed this bug, which suggests 
this is a recent regression (1.12???).

Cheers,
Peter

-- 
Peter Johansson